<?php
/**
 * Set the default values for all the settings. If no user-defined values
 * is available for any setting, these defaults will be used.
 */
$antiaris_defaults = array(
	/* Site Summary	Panel*/
	'latestpost_cats' => array(1),
	'latestpost_count' => 5,
	'popularpost_count' => 5,
	'latestcomment_count' => 5,
	'tags_count' => 35,
	'summarypanel_height' => 330,
	'summarypanel_left_duration' => 7000,
	'summarypanel_right_duration' => 5000,
	'left_tab_shows' => 'categories-latest-post',
	'show_slider' => false,
	'disable_summarypanel' => false,
	
	/* Slider options */
	'slider_cat' => '',
	'slider_postcount' => 5,
	'slider_height' => 290,
	'slider_speed' => 7000,
	
	/* Homepage panes */
	'show_post_type' => 'latest-posts',
	'homepage_panes_count' => 2,
	'homepage_panes_cat' => 1,
	'homepage_panes_posts' => '1',
	'disable_homepage_panes' => false,
	
	/* Posts and pages display */
	'excerpt_in_frontpage' => false,
	'hide_post_author' => false,
	'hide_post_date' => false,
	'hide_post_categories' => false,
	'hide_post_tags' => false,
	'hide_post_commentcount' => false,
	'enable_page_meta' => false,
	'enable_page_footer' => false,
	
	/* Comments display */
	'hide_comments_allowed_tags' => false,
	'disable_comments' => false,
	
	/* Footer */
	/* translators: %d is the current year, %s is the website title */
	'copyright_text' => sprintf(__('Copyright %d &copy; %s. All rights reserved.', 'antiaris'), date('Y'), '<a href="'.get_home_url().'">'.get_bloginfo('title').'</a>'),
	'disable_copyright' => false,
	
	/* Sidebars and widget areas */
	'footer_widget_count' => 3,
	'disable_left_sidebar' => false,
	'disable_right_sidebar' => false,
	'disable_footer_widget' => false,
	'enable_header_widget' => false,
	'enable_alternate_left_sidebar' => false,
	'enable_alternate_right_sidebar' => false,
	'enable_alternate_footer_widget' => false,
	
	/* Syndication */
	'feed_url' => '',
	
	/* Social sharing */
	'enable_social_sharing' => false,
	'social_sharing_code' => '',
	
	/* Google Analytics */
	'enable_analytics' => false,
	'analytics_code' => '',
	
	/* Google Adsense */
	'enable_adsense' => false,
	'adsense_code' => '',
	'enable_adsense_premium' => false,
	
	/* Miscellaneous */
	'custom_site_title_frontpage' => '',
	'custom_site_title_content' => '',
	'disable_secondary_menu' => false,
	'favicon_url' => '',
	
	/* Custom CSS */
	'custom_css' => '',
	   );
?>