<?php
/**
 * Set the settings for options presets
*/

/* Check authorisation */
$authorised = true;
// Check nonce
if (isset($_POST['antiaris-preset'])){
	if (!wp_verify_nonce($_POST['antiaris-preset'], 'antiaris-preset')) { 
		$authorised = false;
	}
	// Check permissions
	if (!current_user_can('edit_theme_options')){
		$authorised = false;
	}
} else {
	$authorised = false;	
}

if ($authorised) {
	global $antiaris_settings, $antiaris_defaults;
	
	/* Website preset (non-blog type) */
	$antiaris_preset_website = array(
		/* Site Summary	Panel*/
		'show_slider' => true,
		
		/* Posts display */
		'hide_post_author' => true,
		'hide_post_date' => true,
		'hide_post_categories' => true,
		'hide_post_tags' => true,
		'hide_post_commentcount' => true,
		
		/* Comments display */
		'disable_comments' => true,
		
		/* Sidebars and widget areas */
		'enable_alternate_left_sidebar' => true,
		'enable_alternate_right_sidebar' => true,
		'enable_alternate_footer_widget' => true,			
	);
	
		
	/* Apply the preset */
	if ($_POST['antiaris_options_preset'] == 'website') {
		$antiaris_preset_website = array_merge($antiaris_defaults, $antiaris_preset_website);
		update_option('antiaris_settings', $antiaris_preset_website);
		
	} elseif ($_POST['antiaris_options_preset'] == 'reset') {
		update_option('antiaris_settings', $antiaris_defaults);
		
		/*
		echo '<pre>';
		print_r($antiaris_defaults);
		echo '</pre>';
		*/
	}
	
	// Update the global settings variable
	$antiaris_settings = get_option('antiaris_settings');
	
	/*
	echo '<pre>';
	print_r($antiaris_settings);
	echo '</pre>';
	*/
	
	$_REQUEST['updated'] = true;
} else {
	wp_die(__('ERROR: You are not authorised to perform that operation', 'antiaris'));
}
?>