<?php 
/* Check authorisation */
$authorised = true;
// Check nonce
if (!wp_verify_nonce($_POST['antiaris-uninstall'], 'antiaris-uninstall')) { 
	$authorised = false;
}
// Check permissions
if (!current_user_can('edit_theme_options')){
	$authorised = false;
}

// If the user is authorised, delete the theme's options from the database
if ($authorised) {
	global $wpdb;

	delete_option('antiaris_settings');
	delete_option('antiaris_dbversion');
	switch_theme('twentyten', 'twentyten');
	wp_cache_flush(); ?>
	
    <div class="wrap">
    <h2><?php _e('Uninstall Antiaris', 'antiaris'); ?></h2>
    <p><?php printf(__('Theme uninstalled. Redirecting to %s', 'antiaris'), '<a href="'.get_home_url().'/wp-admin/themes.php?activated=true">'.get_home_url().'/wp-admin/themes.php?activated=true</a>...'); ?></p>
	<script type="text/javascript">
		window.location = '<?php echo get_home_url(); ?>/wp-admin/themes.php?activated=true';
	</script>;
	</div>
    
    <?php  
} else {
	wp_die(__('ERROR: You are not authorised to perform that operation', 'antiaris'));
}
?>