<?php
/**
 * Settings Validator
 * 
 * This file defines the function that validates the theme's options
 * upon submission.
*/
function antiaris_settings_validator($input){
	
	if (!isset($_POST['antiaris_preset']) && !isset($_POST['antiaris_uninstall'])) :
		
		global $antiaris_defaults;	
		
		// Boolean options
		$input['disable_summarypanel'] = (isset($input['disable_summarypanel'])) ? true : false;
		$input['disable_right_sidebar'] = (isset($input['disable_right_sidebar'])) ? true : false;
		$input['disable_left_sidebar'] = (isset($input['disable_left_sidebar'])) ? true : false;
		$input['disable_footer_widget'] = (isset($input['disable_footer_widget'])) ? true : false;
		$input['enable_header_widget'] = (isset($input['enable_header_widget'])) ? true : false;
		$input['disable_copyright'] = (isset($input['disable_copyright'])) ? true : false;
		
		$input['left_tab_shows'] = ($input['left_tab_shows'] == '') ? 'categories-latest-post' : $input['left_tab_shows'] ;
		$input['show_slider'] = (isset($input['show_slider'])) ? true : false;
		
		/* Homepage panes */
		$input['disable_homepage_panes'] = (isset($input['disable_homepage_panes'])) ? true : false;
		
		// Remove space
		$input['homepage_panes_posts'] = str_replace(' ', '', $input['homepage_panes_posts']);
		
		/* Posts display */
		$input['excerpt_in_frontpage'] = (isset($input['excerpt_in_frontpage'])) ? true : false;
		$input['hide_post_author'] = (isset($input['hide_post_author'])) ? true : false;
		$input['hide_post_date'] = (isset($input['hide_post_date'])) ? true : false;
		$input['hide_post_categories'] = (isset($input['hide_post_categories'])) ? true : false;
		$input['hide_post_tags'] = (isset($input['hide_post_tags'])) ? true : false;
		$input['hide_post_commentcount'] = (isset($input['hide_post_commentcount'])) ? true : false;
		$input['enable_page_meta'] = (isset($input['enable_page_meta'])) ? true : false;
		$input['enable_page_footer'] = (isset($input['enable_page_footer'])) ? true : false;
		
		$input['hide_comments_allowed_tags'] = (isset($input['hide_comments_allowed_tags'])) ? true : false;
		$input['disable_comments'] = (isset($input['disable_comments'])) ? true : false;
		
		$input['enable_alternate_left_sidebar'] = (isset($input['enable_alternate_left_sidebar'])) ? true : false;
		$input['enable_alternate_right_sidebar'] = (isset($input['enable_alternate_right_sidebar'])) ? true : false;
		$input['enable_alternate_footer_widget'] = (isset($input['enable_alternate_footer_widget'])) ? true : false;
		$input['enable_social_sharing'] = ($input['social_sharing_code'] != '' && isset($input['enable_social_sharing'])) ? true : false;
		$input['enable_analytics'] = ($input['analytics_code'] != '' && isset($input['enable_analytics'])) ? true : false;
		$input['enable_adsense'] = ($input['adsense_code'] != '' && isset($input['enable_adsense'])) ? true : false;
		$input['enable_adsense_premium'] = ($input['adsense_code'] != '' && isset($input['enable_adsense_premium'])) ? true : false;
		
		$input['disable_secondary_menu'] = (isset($input['disable_secondary_menu'])) ? true : false;
	
	endif;
	
	return $input;
}
?>