<?php if (have_posts()) : global $antiaris_settings, $antiaris_defaults; ?>
<?php while (have_posts()) : the_post(); ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('clearfix post'); ?>>
    	
        <?php /* Posts navigation for single post pages, but not for Page post */ ?>
        <?php antiaris_post_nav(); ?>
                    
        <?php /* Post title */ ?>
        <?php if (!is_single() && !is_page()) : ?><h2 class="post-title"><?php else : ?><h1 class="post-title"><?php endif; ?>
            <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(esc_attr__('Permalink to %s', 'antiaris'), the_title_attribute('echo=0')); ?>"><?php /* if (get_the_title() == '') {_e('(No title)','antiaris');} else {the_title();} */ the_title(); ?></a>
            
            <?php do_action('antiaris_post_title'); ?>
        <?php if (!is_single() && !is_page()) : ?></h2><?php else : ?></h1><?php endif; ?>
        
        
		<?php /* Post meta */ ?>
        <?php if (get_post_type() != 'page' || $antiaris_settings['enable_page_meta']) : ?>
        <div class="post-meta clearfix">
        	
            <?php /* Post author */ ?>
            <?php if (!$antiaris_settings['hide_post_author'] || !$antiaris_settings['hide_post_date']) : ?>
			<p class="post-author">
				<?php 
				global $authordata;
				/* translators: %s will be replaced by the author's name */
				if (!$antiaris_settings['hide_post_author'])
					printf(__('By %s', 'antiaris'), '<a href="'.get_author_posts_url($authordata->ID).'">'.get_the_author().'</a>');
				
				if (!$antiaris_settings['hide_post_author'] && !$antiaris_settings['hide_post_date'])
					echo ', ';
				
				if (!$antiaris_settings['hide_post_date'])
	                echo get_the_date(); ?>
            </p>
            <?php endif; ?>
				
			<?php edit_post_link(__('Edit post','antiaris'), ' | ', ''); ?>
            
            <?php /* Post categories */ ?>
            <?php if (get_post_type() != 'page' && !$antiaris_settings['hide_post_categories']) : ?>
			<p class="post-categories"><?php _e('Category:','antiaris'); ?> <?php the_category(', ') ?></p>
            <?php endif; ?>
            
            <?php do_action('antiaris_post_meta'); ?>
		</div>
        <?php endif; ?>
        
        
        <?php /* Post content */ ?>
		<div class="post-content clearfix">
			<?php do_action('antiaris_before_post_content'); ?>
                        
			<?php if (!is_search() && !is_archive() && (is_single() || is_page() || (is_front_page() && !$antiaris_settings['excerpt_in_frontpage']))) : ?>
            	<?php the_content(__('Continue reading &raquo;', 'antiaris')); ?>
            <?php else : ?>
                <?php 
					echo antiaris_archive_post_image(get_the_ID());
					the_excerpt(); 
				?>
            <?php endif; ?>
            
			<?php /* Post pagination */ ?>
			<?php wp_link_pages(array('before' => __('<div class="link-pages"><p><strong>Pages: </strong>', 'antiaris'), 'after' => '</p></div>', 'next_or_number' => 'number')); ?>
            
            <?php do_action('antiaris_after_post_content'); ?>
		</div>
        
        
        <?php /* Post footer */ ?>
        <?php if (get_post_type() != 'page' || $antiaris_settings['enable_page_footer']) : ?>
		<div class="post-footer clearfix">
        	<?php /* Post tags */ ?>
            <?php if (!$antiaris_settings['hide_post_tags']) : ?>
			<p class="post-tags"><?php if (has_tag()) {_e('Article tags: ','antiaris'); the_tags('', ' ', '');} else {_e('This article has no tags','antiaris');} ?></p>
            <?php endif; ?>
            
            <?php /* Post comments if front page, addthis button if single post or page */ ?>
			<?php if (is_single() || is_page()) : ?>
            
				<?php /* Social sharing buttons */ ?>
                <div class="post-socialsharing">
                	<?php do_action('antiaris_social_sharing'); ?>
                </div>
            
            <?php elseif (!$antiaris_settings['disable_comments']) : ?>
				<?php if (comments_open() && post_password_required()) : ?>
                    
                    <?php /* Post comments count */ ?>
                    <?php if (!$antiaris_settings['hide_post_commentcount']) : ?>
                    <p class="post-comments"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(esc_attr__('Permalink to %s', 'antiaris'), the_title_attribute('echo=0')); ?>"><?php _e('Post is password-protected', 'antiaris'); ?></a></p>
                    <?php endif; ?>
                <?php elseif (comments_open()) : ?>
                    <?php if (!$antiaris_settings['hide_post_commentcount']) : ?>
                    <p class="post-comments"><?php comments_popup_link(__('Leave comment', 'antiaris'), __('1 comment', 'antiaris'), __("% comments", 'antiaris')); ?></p>
                    <?php endif; ?>
                    
                 <?php endif; ?>
                 
            <?php endif; ?>
            
            <?php do_action('antiaris_post_footer'); ?>
		</div>
        <?php endif; ?>
    </div>
    
    <?php do_action('antiaris_after_post'); ?>
    
	<?php /* Get the comments template */ ?>
    <?php if (!$antiaris_settings['disable_comments']) {comments_template();} ?>
                
	<?php endwhile; ?>
	
	<?php /* Display posts navigation if this is not a single post page */ ?>
    <?php if (!is_single()) : ?>
        <?php /* Posts navigation. See functions.php for the function definition */ ?>
    	<?php antiaris_posts_nav(); ?>
    <?php endif; ?>
	
    <?php do_action('antiaris_after_loop'); ?>
    
	<?php else : ?>
	<div class="post clearfix">
		<h2 class="post-title"><?php _e('Not found.','antiaris'); ?></h2>
		<div class="post-content">
        	<?php if (is_search()) : ?>
            	<p><?php _e('No results were found for the search term you entered. Try another search?', 'antiaris'); ?></p>
                <?php get_search_form(); ?>
            <?php else : ?>
				<p><?php _e('Sorry, you are looking for something that is not here.','antiaris'); ?></p>
            <?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
</div>