<?php
/**
 * The Footer widget area.
 *
 * @package WordPress
 * @subpackage Antiaris
 * @since antiaris 1.0
 */
global $antiaris_defaults, $antiaris_settings;
if ((
	 (is_active_sidebar('footer-widget-area-1') && (!is_front_page() || !$antiaris_settings['enable_alternate_footer_widget'])) 
	 || (is_front_page() && $antiaris_settings['enable_alternate_footer_widget'] && is_active_sidebar('footer-frontpage-widget-area-1'))
	 ) 
	 && !$antiaris_settings['disable_footer_widget']) : 
	
	$footer_widget_count = ($antiaris_settings['footer_widget_count']) ? $antiaris_settings['footer_widget_count'] : $antiaris_defaults['footer_widget_count'];
?>
    <div class="footer-widget <?php echo 'footer-widget-'.$footer_widget_count.'-column'; ?> clearfix">
    <?php
		for ($i = 1; $i <= $footer_widget_count; $i++) :
			echo '<div class="footer-widget-area clearfix" id="footer-widget-area-'.$i.'">';
			if (is_front_page() && $antiaris_settings['enable_alternate_footer_widget']) {
				dynamic_sidebar('footer-frontpage-widget-area-'.$i);
			} else {
				dynamic_sidebar('footer-widget-area-'.$i);
			}
			echo '</div>';
		endfor;
	?>
    </div>
<?php endif; ?>