<?php
/**
 * The right sidebar widget area.
 *
 * @package WordPress
 * @subpackage Antiaris
 * @since antiaris 1.0
 */
global $antiaris_settings;
if (!$antiaris_settings['disable_right_sidebar']) :
?>
<div id="sidebar-right" class="sidebar">
    <?php /* Display the widgets for right sidebar if there is active widgets */
	if ($antiaris_settings['enable_alternate_right_sidebar'] && is_front_page() && is_active_sidebar('right-frontpage-widget-area')) :
		dynamic_sidebar('right-frontpage-widget-area');
		
	elseif (((is_front_page() && !$antiaris_settings['enable_alternate_right_sidebar']) || !is_front_page()) && is_active_sidebar('right-widget-area')) : 
		dynamic_sidebar('right-widget-area');
	
	/* If no active widget in the sidebar, display the default meta widget */
	else : ?>
    	<div class="sidebar-item-wrap">
            <h3><?php _e('Meta', 'antiaris'); ?></h3>
            <div class="sidebar-content-wrap">
                <ul>
                    <?php wp_register(); ?>
                    <li><?php wp_loginout(); ?></li>
                    <?php wp_meta(); ?>
                    <li class="meta-rss"><a href="<?php bloginfo('rss2_url'); ?>"><?php _e('Posts RSS', 'antiaris'); ?></a></li>
                    <li class="meta-rss"><a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments RSS', 'antiaris'); ?></a></li>
                    <li><?php _e('Powered by <a href="http://www.wordpress.org" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a>', 'antiaris'); ?></li>
                </ul>
            </div>
        </div>
    <?php endif; ?>
    
    <?php do_action('antiaris_sidebar_right'); ?>
</div>
<?php endif; ?>